@import '../abstracts/variables';
@import '../abstracts/wp-core';
@import '../abstracts/mixins';


.range-picker-animate-iterations__dropdown-content {


  &.components-range-picker__dropdown-content .components-button {
    display: inline-block;
    position: relative;
    padding: 10px 10px 10px 10px;
    width: 16.66%;
    height:36px;
    text-align: center;
    height: unset;
    line-height: inherit;

    .dashicon {
      position: absolute;
      top: calc(50% - 10px);
      left: 10px;
    }

    &.is-primary:focus,
    &.is-primary:hover,
    &.is-primary{
      background-color: $dark-gray-900;
      color: $white;
      border-width: 1px;
      border-top-style: solid;
      border-bottom-style: solid;
      border-top-color: rgb(0, 100, 140);
      border-bottom-color: rgb(0, 100, 140)
    }

    &:hover {
      background-color: $light-gray-500;
      border-width: 1px;
    }

    &:focus {
      @include menu-style__focus;
    }

    &.range-picker-animate-iterations-button-loop.has-text{
      width:33.33%;

      svg{
        margin-bottom: -5px
      }
    }
  }

  .components-popover__content div[role=menu] button:last-of-type{
    width: 33.33%;
  }

  .components-popover__content div[role=menu] button:last-of-type svg{
    margin-right: 4px;
    margin-bottom: -6px;
  }


}